Name:		xdg-user-dirs-gtk
Version:	0.10
Release:	%mkrel 1
Summary:	XDG user dirs support for GNOME/GTK+
Summary(de):	xdg-user-dirs Unterstützung für GNOME/GTK +

License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org/
Source0:	%{version}/%{name}-%{version}.tar.xz
#----------------------------------------------------------
Patch0:		xdg-user-dirs-gtk-0.9-kde.patch
#---------------------------------------------------------
BuildRequires:	gtk2-devel
BuildRequires:	xdg-user-dirs
BuildRequires:	intltool
Requires:	xdg-user-dirs
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
xdg-user-dirs-gtk is a companion to xdg-user-dirs that integrates it into
the Gnome desktop and Gtk+ applications.

It gets run during login and does two things:
* Tracks changes of locale and prompts the user so the directories
  can be changed.
* Creates a default gtk bookmarks file if there is none, based
  on a set of xdg user dirs.

%description -l de
xdg-user-dirs-gtk ist ein Begleiter für xdg-user-dirs es integriert 
xdg-user-dirs in den Gnome-Desktop und in Gtk+ Anwendungen.

Bei der Anmeldung werden zwei Dinge ausgeführt:
* Titel Änderungen der localen Verzeichnisse des Benutzers können 
  geändert werden.
* Erstellt eine Standard GTK-Lesezeichen-Datei wenn es noch keine gibt 
  basierend auf eine Reihe von xdg Benutzer Verzeichnissen.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%config(noreplace) %{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop
%{_bindir}/xdg-user-dirs-gtk-update


%changelog
* Fri Nov 12 2015 bb <bb> 0.10-1pclos2015
- update

* Tue Jun 21 2011 Texstar <texstar at gmail.com. 0.8-2pclos2011
- Remove xinit.d script: old WMs should use xdg-compliance-autostart

- Remove /usr/share/autostart copy, since only KDE runs it and it also supports
  the standard /etc/xdg/autostart script

- Add LXDE to "skip" list since it supports /etc/xdg/autostart

- Fix kde patch so it doesn't generate a desktop file with duplicated entries.
  According to the spec:
  "Multiple keys in the same group may not have the same name."

- Fix xinit.d string for KDE
  So we don't run the script twice under KDE4: one for xinit.d and one for xdg
  autostart. Faster login!


* Mon Dec 28 2009 maik3531 <maik3531 at yahoo dot de> 0.8-1pclos2010
- Import xdg-user-dirs-gtk
